%global commit f1ef64d7cee8f174151db42447dedd3c4ece91c2
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           csslint
Version:        0.10.0
Release:        2%{?dist}
Summary:        Detecting potential problems in CSS code

Group:          Development/Libraries
License:        MIT
URL:            http://github.com/stubbornella/csslint
Source0:        https://github.com/stubbornella/csslint/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        %{name}.sh

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       rhino


%description
CSSLint is a tool to help point out problems with your CSS code. It does basic
syntax checking as well as applying a set of rules to the code that look for
problematic patterns or signs of inefficiency. The rules are all pluggable, so
you can easily write your own or omit ones you don't want.


%prep
%setup -qn %{name}-%{commit}
# Executable
cp -p %{SOURCE1} .
sed -i -e 's|@JS_JAR@|%{_datadir}/java/js.jar|g' %{name}.sh
sed -i -e 's|@CSSLINT_RHINO@|%{_datadir}/%{name}/%{name}-rhino.js|g' %{name}.sh


%build
# Empty build section, most likely nothing required.


%install
install -d %{buildroot}%{_datadir}/%{name}
cp -a release/csslint-rhino.js %{buildroot}%{_datadir}/%{name}/
install -d %{buildroot}%{_bindir}
cp -a %{name}.sh %{buildroot}%{_bindir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGELOG README.md
%{_datadir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 27 2013 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 0.10.0-1
- Upstream 0.10.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 31 2013 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 0.9.10-1
- Upstream 0.9.10

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 17 2012 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 0.9.8-1
- Upstream 0.9.8

* Sun Jan 08 2012 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 0.9.2-2
- Fix attr for Koji build

* Sun Jan 08 2012 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 0.9.2-1
- Upstream 0.9.2

* Fri Dec 23 2011 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 0.8.5-1
- Upstream 0.8.5

* Fri Nov 18 2011 Guillaume Kulakowski <guillaume.kulakowski@fedoraproject.org> - 0.8.1-1
- Initial packaging
